<?php



class LogMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.LogMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('LOG');
		$tMap->setPhpName('Log');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('STAMP', 'Stamp', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('USERNAME', 'Username', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('ACCION', 'Accion', 'string', CreoleTypes::VARCHAR, false, 40);

		$tMap->addColumn('IP', 'Ip', 'string', CreoleTypes::VARCHAR, false, 25);

	} 
} 